unit uPruebaNuevosListadosMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, ImgList, uListadoState;

type
  TForm1 = class(TForm)
    iconos: TImageList;
    StringGrid1: TStringGrid;
    procedure FormCreate(Sender: TObject);
  private
    listadoState: TListadoState;
  public
    procedure clickListado(sg: TStringGrid; tipoCol: TTipoColumna;
      fila, columna: Integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.clickListado(sg: TStringGrid; tipoCol: TTipoColumna;
  fila, columna: Integer);
var
  msj: String;
begin
  case tipoCol of
    TC_Texto:
      msj := 'TC_Texto';
    TC_TextoEditable:
      msj := 'TC_TextoEditable';
    TC_btEditar:
      msj := 'TC_btEditar';
    TC_btEliminar:
      msj := 'TC_btEliminar';
    TC_btClonar:
      msj := 'TC_btClonar';
    TC_checkBox:
      msj := 'TC_checkBox';
    TC_radioButton:
      msj := 'TC_radioButton';
    TC_Color:
      msj := 'TC_Color';
    TC_Disabled:
      msj := 'TC_Disabled';
    TC_ComboBox:
      msj := 'TC_ComboBox';
    TC_RaiseException:
      msj := 'TC_RaiseException';
    TC_btUp:
      msj := 'TC_btUp';
    TC_btDown:
      msj := 'TC_btDown';
  end;
  msj := msj + ' fila = ' + IntToStr(fila) + ' columna = ' + IntToStr(columna);
  ShowMessage(msj);
end;

procedure TForm1.FormCreate(Sender: TObject);
{ [encabezadoBTEditar,
  encabezadoBTEliminar, encabezadoBTClonar, encabezadoCheckBox,
  encabezadoRadioButton, encabezadoColor,
  encabezadoDisabled, encabezadoComboBox, encabezadoBTUp, encabezadoBTDown,
  encabezadoTextoEditable + ' lalala', 'texto'] }
begin
  listadoState := TListadoState.Create(StringGrid1, [encabezadoBTEditar,
    encabezadoBTEliminar, encabezadoBTClonar, encabezadoCheckBox,
    encabezadoRadioButton{, encabezadoColor}, encabezadoDisabled,
    {encabezadoComboBox, }encabezadoBTUp, encabezadoBTDown,
    encabezadoTextoEditable + ' lalala', 'texto'], false, iconos, NIL,
    Self.clickListado);

  StringGrid1.RowCount := 3;
end;

end.
